/// class PD.Manage.Shared.AceEditor.EditorFontSizeCommand
// using PD.Commands.Command

PD.Manage.Shared.AceEditor.EditorFontSizeCommand =
PD.Commands.Command.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    setDefaults: function () {
        this.props("id", "editor/font-size");
        this.props("enabled", true);
        this.props("label", "Font Size");
        this.props("canExecute", true);
        this.props("toggled", false);
        this.state("editor", null);
    },

    setState: function (state) {
        this._super(state);
        this.props("enabled", this.isEnabled());
    },

    execute: function (e) {
        this._super(e);
        
        var editor = this.state("editor");

        if (editor != null) {
            result = editor.fontSize(e.fontSize * 1);
        }

    },

    isEnabled: function () {
        return this.state("editor") != null;
    }

});